<?php
//Definimos las variables
$smsadvert = [ 	
	'plugin' 		=> 'WooCommerce Order Status SMS', 
	'plugin_uri' 	=> 'woocommerce-order-status-sms', 
	'donacion' 		=> 'https://smsadvert.io',
	'soporte' 		=> 'https://smsadvert.io',
	'plugin_url' 	=> 'https://smsadvert.io', 
	'ajustes' 		=> 'admin.php?page=smsadvert', 
	'puntuacion' 	=> 'https://wordpress.org/support/view/plugin-reviews/woocommerce-order-status-sms' 
];

//Carga el idioma
load_plugin_textdomain( 'woocommerce-order-status-sms', null, dirname( BASENAME_smsadvert ) . '/languages' );

//Carga la configuración del plugin
$smsadvert_settings = get_option( 'smsadvert_settings' );

//Enlaces adicionales personalizados
function smsadvert_enlaces( $enlaces, $archivo ) {
	global $smsadvert;

	if ( $archivo == BASENAME_smsadvert ) {

		$enlaces[] = '<a href="'. $smsadvert[ 'plugin_url' ] . '" target="_blank" title="' . $smsadvert[ 'plugin' ] . '"><strong class="artprojectgroup">Smsadvert</strong></a>';
		$enlaces[] = '<a href="mailto:contact@smsadvert.io" title="' . __( 'Contact us by ', 'woocommerce-order-status-sms' ) . 'e-mail"><span class="genericon genericon-mail"></span></a>';
	}

	return $enlaces;
}
add_filter( 'plugin_row_meta', 'smsadvert_enlaces', 10, 2 );

//Añade el botón de configuración
function smsadvert_enlace_de_ajustes( $enlaces ) { 
	global $smsadvert;

	$enlaces_de_ajustes = [ 
		'<a href="' . $smsadvert[ 'ajustes' ] . '" title="' . __( 'Settings of ', 'woocommerce-order-status-sms' ) . $smsadvert[ 'plugin' ] .'">' . __( 'Settings', 'woocommerce-order-status-sms' ) . '</a>', 
		'<a href="' . $smsadvert[ 'soporte' ] . '" title="' . __( 'Support of ', 'woocommerce-order-status-sms' ) . $smsadvert[ 'plugin' ] .'">' . __( 'Support', 'woocommerce-order-status-sms' ) . '</a>' 
	];
	foreach( $enlaces_de_ajustes as $enlace_de_ajustes )	{
		array_unshift( $enlaces, $enlace_de_ajustes );
	}

	return $enlaces; 
}
$plugin = BASENAME_smsadvert; 
add_filter( "plugin_action_links_$plugin", 'smsadvert_enlace_de_ajustes' );

//Hoja de estilo
function smsadvert_estilo() {
	if ( strpos( $_SERVER[ 'REQUEST_URI' ], 'smsadvert' ) !== false || strpos( $_SERVER[ 'REQUEST_URI' ], 'plugins.php' ) !== false ) {
		wp_register_style( 'smsadvert_hoja_de_estilo', plugins_url( 'assets/css/style.css', BASENAME_smsadvert ) ); //Carga la hoja de estilo
		wp_enqueue_style( 'smsadvert_hoja_de_estilo' ); //Carga la hoja de estilo
	}
}
add_action( 'admin_enqueue_scripts', 'smsadvert_estilo' );
