<?php
//Envía el mensaje SMS
function smsadvert_envia_sms( $smsadvert_settings, $telefono, $mensaje ) {
	switch ( $smsadvert_settings[ 'servicio' ] ) {
		case "smsadvert":
			$argumentos[ 'headers' ]	= [
				'Authorization'				=> $smsadvert_settings[ 'smsadvert_key' ],
				'Content-Type'				=> 'application/json',
			];
			$body = [
				'phone'						=> $telefono,
				'shortTextMessage'			=> $mensaje,
				'sendAsShort'				=> $smsadvert_settings[ 'smsadvert_sendAsShort' ],
			];
			if ( $smsadvert_settings[ 'smsadvert_sendAsShort' ] !== true && $smsadvert_settings[ 'smsadvert_failover' ] ) {
				$body['failover'] = 'short';
			}
			$argumentos[ 'body' ]		= json_encode( $body );
			$respuesta					= wp_remote_post( "https://www.smsadvert.io/api/sms/", $argumentos );
			break;
	}

	if ( isset( $smsadvert_settings[ 'debug' ] ) && $smsadvert_settings[ 'debug' ] == "1" && isset( $smsadvert_settings[ 'campo_debug' ] ) ) {
		$correo	= __( 'Mobile number:', 'woocommerce-order-status-sms' ) . "\r\n" . $telefono . "\r\n\r\n";
		$correo	.= __( 'Message: ', 'woocommerce-order-status-sms' ) . "\r\n" . $mensaje . "\r\n\r\n"; 
		$correo	.= __( 'Gateway answer: ', 'woocommerce-order-status-sms' ) . "\r\n" . print_r( $respuesta, true );
		print_r( $respuesta );
		wp_mail( $smsadvert_settings[ 'campo_debug' ], 'WooCommerce Order Status SMS', $correo, 'charset=UTF-8' . "\r\n" ); 
	}
}