<?php global $smsadvert_settings, $smsadvert; ?>

<div class="wrap woocommerce">
	<h2>
		<?php _e( 'Woocommerce Order Status SMS', 'woocommerce-order-status-sms' ); ?>
	</h2>
	<p>
		<?php _e( 'Enhances WooCommerce functionality with the posibility to send SMS notifications to customers each time their order status changes. The owner can be notified also, when a new order has been placed.', 'woocommerce-order-status-sms' ); ?>
	</p>
	<form method="post" action="options.php">
		<?php settings_fields( 'smsadvert_settings_group' ); ?>
		<table class="form-table apg-table">
			<tr valign="top" style="display:none">
				<th scope="row" class="titledesc">
					<label for="smsadvert_settings[servicio]">
						<?php _e( '<abbr title="Short Message Service" lang="en">SMS</abbr> gateway:', 'woocommerce-order-status-sms' ); ?>
						<span class="woocommerce-help-tip" data-tip="<?php _e( 'Select your SMS gateway', 'woocommerce-order-status-sms' ); ?>"></span>
					</label>
				</th>
				<td class="forminp forminp-number">
					<select class="wc-enhanced-select servicio" id="smsadvert_settings[servicio]" name="smsadvert_settings[servicio]" tabindex="<?php echo $tab++; ?>">
						<?php smsadvert_listado_de_proveedores( $listado_de_proveedores ); ?>
					</select>
				</td>
			</tr>
			<?php smsadvert_campos_de_proveedores( $listado_de_proveedores, $campos_de_proveedores, $opciones_de_proveedores ); ?>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="smsadvert_settings[telefono]">
						<?php _e( 'Owner mobile number:', 'woocommerce-order-status-sms' ); ?>
						<span class="woocommerce-help-tip" data-tip="<?php _e( 'The mobile number where you receive the new order SMS messages. You can add multiple mobile numbers separeted by | character. Example: xxxxxxxxx|yyyyyyyyy', 'woocommerce-order-status-sms' ); ?>"></span> </label>
				</th>
				<td class="forminp forminp-number"><input type="text" id="smsadvert_settings[telefono]" name="smsadvert_settings[telefono]" size="50" value="<?php echo ( isset( $smsadvert_settings[ 'telefono' ] ) ) ? $smsadvert_settings[ 'telefono' ] : ''; ?>" tabindex="<?php echo $tab++; ?>"/>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="smsadvert_settings[notificacion]">
						<?php _e( 'New order notification:', 'woocommerce-order-status-sms' ); ?>
						<span class="woocommerce-help-tip" data-tip="<?php _e( " Check if you want to receive a SMS message when there 's a new order", 'woocommerce-order-status-sms ' ); ?>"></span> </label> </th>
        <td class="forminp forminp-number"><input id="smsadvert_settings[notificacion]" name="smsadvert_settings[notificacion]" type="checkbox" value="1" <?php echo ( isset( $smsadvert_settings[ 'notificacion' ] ) && $smsadvert_settings[ 'notificacion' ] == "1" ) ? 'checked="checked" ' : ' '; ?> tabindex="<?php echo $tab++; ?>" /></td>
      </tr>
      <tr valign="top">
        <th scope="row" class="titledesc"> <label for="smsadvert_settings[internacional]">
            <?php _e( 'Send international SMS?:', 'woocommerce-order-status-sms' ); ?>
						<span class="woocommerce-help-tip" data-tip="<?php _e( 'Check if you want to send SMS messages in other countries then your woocommerce default country', 'woocommerce-order-status-sms' ); ?>"></span> </label>
				</th>
				<td class="forminp forminp-number"><input id="smsadvert_settings[internacional]" name="smsadvert_settings[internacional]" type="checkbox" value="1" <?php echo ( isset( $smsadvert_settings[ 'internacional' ] ) && $smsadvert_settings[ 'internacional' ] == "1" ) ? 'checked="checked"' : ''; ?> tabindex="
					<?php echo $tab++; ?>" /></td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="smsadvert_settings[envio]">
						<?php _e( 'Send SMS to shipping mobile?:', 'woocommerce-order-status-sms' ); ?>
						<span class="woocommerce-help-tip" data-tip="<?php _e( 'Check if you want to send SMS messages to shipping mobile numbers, only if it is different from billing mobile number', 'woocommerce-order-status-sms' ); ?>"></span>
					</label>
				</th>
				<td class="forminp forminp-number"><input id="smsadvert_settings[envio]" name="smsadvert_settings[envio]" type="checkbox" value="1" <?php echo ( isset( $smsadvert_settings[ 'envio' ] ) && $smsadvert_settings[ 'envio' ] == "1" ) ? 'checked="checked"' : ''; ?> tabindex="
					<?php echo $tab++; ?>" class="envio" /></td>
			</tr>
			<tr valign="top" class="campo_envio">
				<th scope="row" class="titledesc">
					<label for="smsadvert_settings[campo_envio]">
						<?php _e( 'Shipping mobile field:', 'woocommerce-order-status-sms' ); ?>
						<span class="woocommerce-help-tip" data-tip="<?php _e( 'Select the shipping mobile field', 'woocommerce-order-status-sms' ); ?>"></span>
					</label>
				</th>
				<td class="forminp forminp-number">
					<select id="smsadvert_settings[campo_envio]" name="smsadvert_settings[campo_envio]" class="wc-enhanced-select" tabindex="<?php echo $tab++; ?>">
						<?php smsadvert_campos_de_envio(); ?>
					</select>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="smsadvert_settings[productos]">
						<?php _e( 'order_product variable full details:', 'woocommerce-order-status-sms' ); ?>
						<span class="woocommerce-help-tip" data-tip="<?php _e( 'Check if you want to send the SMS messages with full order product information', 'woocommerce-order-status-sms' ); ?>"></span>
					</label>
				</th>
				<td class="forminp forminp-number"><input id="smsadvert_settings[productos]" name="smsadvert_settings[productos]" type="checkbox" value="1" <?php echo ( isset( $smsadvert_settings[ 'productos' ] ) && $smsadvert_settings[ 'productos' ] == "1" ) ? 'checked="checked"' : ''; ?> tabindex="
					<?php echo $tab++; ?>" /></td>
			</tr>
			<?php if ( !empty( $listado_de_estados ) ) : //Comprueba la existencia de estados personalizados ?>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="smsadvert_settings[estados_personalizados]">
						<?php _e( 'Custom Order Statuses & Actions:', 'woocommerce-order-status-sms' ); ?>
						<span class="woocommerce-help-tip" data-tip="<?php _e( 'Select your own statuses.', 'woocommerce-order-status-sms' ); ?>"></span>
					</label>
				</th>
				<td class="forminp forminp-number">
					<select multiple="multiple" class="wc-enhanced-select multiselect estados_personalizados" id="smsadvert_settings[estados_personalizados]" name="smsadvert_settings[estados_personalizados][]" tabindex="<?php echo $tab++; ?>">
						<?php smsadvert_listado_de_estados( $listado_de_estados ); ?>
					</select>
				</td>
			</tr>
			<?php foreach ( $listado_de_estados as $nombre_de_estado => $estado_personalizado ) : ?>
			<tr valign="top" class="<?php echo $estado_personalizado; ?>">
				<!-- <?php echo $nombre_de_estado; ?> -->
				<th scope="row" class="titledesc">
					<label for="smsadvert_settings[<?php echo $estado_personalizado; ?>]">
						<?php echo sprintf( __( '%s state custom message:', 'woocommerce-order-status-sms' ), $nombre_de_estado ); ?>
						<span class="woocommerce-help-tip" data-tip="<?php _e( 'You can customize your message. Remember that you can use this variables: %id%, %order_key%, %billing_first_name%, %billing_last_name%, %billing_company%, %billing_address_1%, %billing_address_2%, %billing_city%, %billing_postcode%, %billing_country%, %billing_state%, %billing_email%, %billing_phone%, %shipping_first_name%, %shipping_last_name%, %shipping_company%, %shipping_address_1%, %shipping_address_2%, %shipping_city%, %shipping_postcode%, %shipping_country%, %shipping_state%, %shipping_method%, %shipping_method_title%, %payment_method%, %payment_method_title%, %order_discount%, %cart_discount%, %order_tax%, %order_shipping%, %order_shipping_tax%, %order_total%, %status%, %prices_include_tax%, %tax_display_cart%, %display_totals_ex_tax%, %display_cart_ex_tax%, %order_date%, %modified_date%, %customer_message%, %customer_note%, %post_status%, %shop_name%, %order_product% and %note%.', 'woocommerce-order-status-sms' ); ?>"></span>
					</label>
				</th>
				<td class="forminp forminp-number"><textarea id="smsadvert_settings[<?php echo $estado_personalizado; ?>]" name="smsadvert_settings[<?php echo $estado_personalizado; ?>]" cols="50" rows="5" tabindex="<?php echo $tab++; ?>"><?php echo stripcslashes( isset( $smsadvert_settings[$estado_personalizado] ) ? $smsadvert_settings[$estado_personalizado] : "" ); ?></textarea>
				</td>
			</tr>
			<?php endforeach; ?>
			<?php endif; ?>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="smsadvert_settings[variables]">
						<?php _e( 'Custom variables:', 'woocommerce-order-status-sms' ); ?>
						<span class="woocommerce-help-tip" data-tip="<?php _e( 'You can add your own variables. Each variable must be entered onto a new line without percentage character ( % ). Example: <code>_custom_variable_name</code><br /><code>_another_variable_name</code>.', 'woocommerce-order-status-sms' ); ?>"></span>
					</label>
				</th>
				<td class="forminp forminp-number"><textarea id="smsadvert_settings[variables]" name="smsadvert_settings[variables]" cols="50" rows="5" tabindex="<?php echo $tab++; ?>"><?php echo stripcslashes( isset( $smsadvert_settings[ 'variables' ] ) ? $smsadvert_settings[ 'variables' ] : '' ); ?></textarea>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="smsadvert_settings[productos]">
						<?php _e( 'Send only this messages:', 'woocommerce-order-status-sms' ); ?>
						<span class="woocommerce-help-tip" data-tip="<?php _e( 'Select what messages do you want to send', 'woocommerce-order-status-sms' ); ?>"></span>
					</label>
				</th>
				<td class="forminp forminp-number">
					<select multiple="multiple" class="wc-enhanced-select multiselect mensajes" id="smsadvert_settings[mensajes]" name="smsadvert_settings[mensajes][]" tabindex="<?php echo $tab++; ?>">
						<?php smsadvert_listado_de_mensajes( $listado_de_mensajes ); ?>
					</select>
			</tr>
            <?php 
            $campo = !empty( $mensaje_pedido ) ? $mensaje_pedido : '';
            smsadvert_campo_de_mensaje_personalizado( 'mensaje_pedido', $campo, $listado_de_mensajes ); 
            ?> 
            <?php 
            $campo = !empty( $mensaje_pendiente ) ? $mensaje_pendiente : ''; 
            smsadvert_campo_de_mensaje_personalizado( 'mensaje_pendiente', $campo, $listado_de_mensajes ); 
            ?> 
            <?php 
            $campo = !empty( $mensaje_fallido ) ? $mensaje_fallido : ''; 
            smsadvert_campo_de_mensaje_personalizado( 'mensaje_fallido', $campo, $listado_de_mensajes ); 
            ?> 
            <?php 
            $campo = !empty( $mensaje_recibido ) ? $mensaje_recibido : ''; 
            smsadvert_campo_de_mensaje_personalizado( 'mensaje_recibido', $campo, $listado_de_mensajes ); 
            ?> 
            <tr valign="top" class="mensaje_recibido">
 				<th scope="row" class="titledesc">
 					<label for="smsadvert_settings[retardo]">
 						<?php _e( 'Order on-hold delay (minutes)', 'woocommerce-order-status-sms' ); ?>:
     					<span class="woocommerce-help-tip" data-tip="<?php _e( 'Send this message after X minutes, if the order is still on-hold, instead of sending it immediately.', 'woocommerce-order-status-sms' ); ?>"/>
 					</label>
 				</th>
 				<td class="forminp forminp-number"><input type="text" id="smsadvert_settings[retardo]" name="smsadvert_settings[retardo]" size="50" value="<?php echo ( isset( $smsadvert_settings[ 'retardo' ] ) ) ? $smsadvert_settings[ 'retardo' ] : ''; ?>" tabindex="<?php echo $tab++; ?>"/>
 				</td>
 			</tr>
            <tr valign="top" class="mensaje_recibido">
				<th scope="row" class="titledesc">
					<label for="smsadvert_settings[temporizador]">
						<?php _e( 'Order on-hold timer (hours)', 'woocommerce-order-status-sms' ); ?>:
						<span class="woocommerce-help-tip" data-tip="<?php _e( 'You can timer this message every X hours. Leave blank to disable.', 'woocommerce-order-status-sms' ); ?>"/>
                    </label>
                </th>
				<td class="forminp forminp-number"><input type="text" id="smsadvert_settings[temporizador]" name="smsadvert_settings[temporizador]" size="50" value="<?php echo ( isset( $smsadvert_settings[ 'temporizador' ] ) ) ? $smsadvert_settings[ 'temporizador' ] : ''; ?>" tabindex="<?php echo $tab++; ?>"/>
				</td>
			</tr>
            <?php 
            $campo = !empty( $mensaje_procesando ) ? $mensaje_procesando : ''; 
            smsadvert_campo_de_mensaje_personalizado( 'mensaje_procesando', $campo, $listado_de_mensajes ); 
            ?> 
            <?php 
            $campo = !empty( $mensaje_completado ) ? $mensaje_completado : ''; 
            smsadvert_campo_de_mensaje_personalizado( 'mensaje_completado', $campo, $listado_de_mensajes ); 
            ?> 
            <?php 
            $campo = !empty( $mensaje_devuelto ) ? $mensaje_devuelto : ''; 
            smsadvert_campo_de_mensaje_personalizado( 'mensaje_devuelto', $campo, $listado_de_mensajes ); 
            ?> 
            <?php 
            $campo = !empty( $mensaje_cancelado ) ? $mensaje_cancelado : ''; 
            smsadvert_campo_de_mensaje_personalizado( 'mensaje_cancelado', $campo, $listado_de_mensajes ); 
            ?> 
            <?php 
            $campo = !empty( $mensaje_nota ) ? $mensaje_nota : ''; 
            smsadvert_campo_de_mensaje_personalizado( 'mensaje_nota', $campo, $listado_de_mensajes ); 
            ?> 
			<tr valign="top">
				<th scope="row" class="titledesc">
					<label for="smsadvert_settings[debug]">
						<?php _e( 'Send debug information?:', 'woocommerce-order-status-sms' ); ?>
						<span class="woocommerce-help-tip" data-tip="<?php _e( 'Check if you want to receive debug information from your SMS gateway', 'woocommerce-order-status-sms' ); ?>"></span>
					</label>
				</th>
				<td class="forminp forminp-number"><input id="smsadvert_settings[debug]" name="smsadvert_settings[debug]" type="checkbox" class="debug" value="1" <?php echo ( isset( $smsadvert_settings[ 'debug' ] ) && $smsadvert_settings[ 'debug' ] == "1" ) ? 'checked="checked"' : ''; ?> tabindex="
					<?php echo $tab++; ?>" /></td>
			</tr>
			<tr valign="top" class="campo_debug">
				<th scope="row" class="titledesc">
					<label for="smsadvert_settings[campo_debug]">
						<?php _e( 'Email address:', 'woocommerce-order-status-sms' ); ?>
						<span class="woocommerce-help-tip" data-tip="<?php _e( 'Add an email address where you want to receive the debug information', 'woocommerce-order-status-sms' ); ?>"></span>
					</label>
				</th>
				<td class="forminp forminp-number"><input type="text" id="smsadvert_settings[campo_debug]" name="smsadvert_settings[campo_debug]" size="50" value="<?php echo ( isset( $smsadvert_settings[ 'campo_debug' ] ) ) ? $smsadvert_settings[ 'campo_debug' ] : ''; ?>" tabindex="<?php echo $tab++; ?>"/>
				</td>
			</tr>
		</table>
		<p class="submit">
			<input class="button-primary" type="submit" value="<?php _e( 'Save Changes', 'woocommerce-order-status-sms' ); ?>" name="submit" id="submit" tabindex="<?php echo $tab++; ?>"/>
		</p>
	</form>
</div>
<script>
	jQuery( document ).ready( function ( $ ) {
		//Cambia los campos en función del proveedor de servicios SMS
		$( '.servicio' ).on( 'change', function () {
			control( $( this ).val() );
		} );
		var control = function ( capa ) {
			if ( capa == '' ) {
				capa = $( '.servicio option:selected' ).val();
			}
			var proveedores = new Array();
			<?php 
			foreach( $listado_de_proveedores as $indice => $valor ) {
				echo "proveedores[ '$indice' ] = '$valor';" . PHP_EOL;
			}
			?>

			for ( var valor in proveedores ) {
				if ( valor == capa ) {
					$( '.' + capa ).show();
				} else {
					$( '.' + valor ).hide();
				}
			}
		};
		control( $( '.servicio' ).val() );

		//Cambia los campos en función de los mensajes seleccionados
		$( '.mensajes' ).on( 'change', function () {
			control_mensajes( $( this ).val() );
		} );
		var control_mensajes = function ( capa ) {
			if ( capa == '' ) {
				capa = $( '.mensajes option:selected' ).val();
			}

			var mensajes = new Array();
			<?php 
		foreach( $listado_de_mensajes as $indice => $valor ) {
			echo "mensajes[ '$indice' ] = '$valor';" . PHP_EOL; 
		}
		?>

			for ( var valor in mensajes ) {
				$( '.' + valor ).hide();
				for ( var valor_capa in capa ) {
					if ( valor == capa[ valor_capa ] || capa[ valor_capa ] == 'todos' ) {
						$( '.' + valor ).show();
					}
				}
			}
		};

		$( '.mensajes' ).each( function ( i, selected ) {
			control_mensajes( $( selected ).val() );
		} );

		if ( typeof chosen !== 'undefined' && $.isFunction( chosen ) ) {
			jQuery( "select.chosen_select" ).chosen();
		}

		//Controla el campo de teléfono del formulario de envío
		$( '.smsadvert_failover' ).hide();
		$( '.envio' ).on( 'change', function () {
			control_envio( '.envio' );
		} );
		var control_envio = function ( capa ) {
			if ( $( capa ).is( ':checked' ) ) {
				$( '.campo_envio' ).show();
			} else {
				$( '.campo_envio' ).hide();
			}
		};
		control_envio( '.envio' );

		//Controla el campo de correo electrónico del formulario de envío
		$( '.campo_debug' ).hide();
		$( '.debug' ).on( 'change', function () {
			control_debug( '.debug' );
		} );
		var control_debug = function ( capa ) {
			if ( $( capa ).is( ':checked' ) ) {
				$( '.campo_debug' ).show();
			} else {
				$( '.campo_debug' ).hide();
			}
		};
		control_debug( '.debug' );

		<?php if ( !empty( $listado_de_estados ) ) : //Comprueba la existencia de estados personalizados ?>
		//Cambia los campos en función de los estados personalizados seleccionados
		$( '.estados_personalizados' ).on( 'change', function () {
			control_personalizados( $( this ).val() );
		} );
		var control_personalizados = function ( capa ) {
			var estados = new Array();
			<?php 
		foreach( $listado_de_estados as $valor ) {
			echo "estados[ '$valor' ] = '$valor';" . PHP_EOL; 
		}
		?>

			for ( var valor in estados ) {
				$( '.' + valor ).hide();
				for ( var valor_capa in capa ) {
					if ( valor == capa[ valor_capa ] ) {
						$( '.' + valor ).show();
					}
				}
			}
		};

		$( '.estados_personalizados' ).each( function ( i, selected ) {
			control_personalizados( $( selected ).val() );
		} );
		<?php endif; ?>
	} );
</script>